import request from '@/utils/request'

// 查询形象进度列表
export function listSurProjectSchedule(query) {
  return request({
    url: '/project/surProjectSchedule/list',
    method: 'get',
    params: query
  })
}

// 查询形象进度详细
export function getSurProjectSchedule(Id) {
  return request({
    url: '/project/surProjectSchedule/' + Id,
    method: 'get'
  })
}

// 新增形象进度
export function addSurProjectSchedule(data) {
  return request({
    url: '/project/surProjectSchedule',
    method: 'post',
    data: data
  })
}

// 修改形象进度
export function updateSurProjectSchedule(data) {
  return request({
    url: '/project/surProjectSchedule',
    method: 'put',
    data: data
  })
}

// 删除形象进度
export function delSurProjectSchedule(Id) {
  return request({
    url: '/project/surProjectSchedule/' + Id,
    method: 'delete'
  })
}


export function getLastOne(id){
  return request({
    url: '/project/surProjectSchedule/getLastOne?projectId=' + id,
    method: 'get'
  })
}
